<odoo>
    <data>
        <template id="mv_report_saleorder_document" inherit_id="sale.report_saleorder_document">
            <xpath expr="//table[@class='table table-sm o_main_table']/thead/tr/th[1]" position="before">
                <th class="text-left">Name</th>
            </xpath>
            <xpath expr="//table[@class='table table-sm o_main_table']/tbody/t/tr[1]/t/td[1]" position="before">
                <td><span t-field="line.default_code"/></td>
            </xpath>
            <xpath expr="//p[@t-field='doc.note']" position="attributes">
                <attribute name="style">font-size:13px;padding-top:30px;line-height:15px</attribute>
            </xpath>
            <xpath expr="//div[@id='informations']/div[5]" position="after">
                <div class="col-auto mw-100 mb-2" style="float:left">
                    <strong>Ship to:</strong>
                    <p class="m-0" t-field="doc.partner_id.name"/>
                    <p>
                        <span class="m-0" t-field="doc.partner_shipping_id.street"/>
                        <span class="m-0" t-field="doc.partner_shipping_id.street2"/>
                        <br/>
                        <span class="m-0" t-field="doc.partner_shipping_id.city"/>
                        <span class="m-0" t-field="doc.partner_shipping_id.state_id"/>
                        <span class="m-0" t-field="doc.partner_shipping_id.zip"/>
                        <span class="m-0" t-field="doc.partner_shipping_id.country_id"/>
                    </p>
                </div>
                <div class="col-auto mw-100 mb-2" style="float:right" t-if="doc.ship_date">
                    <strong>Ship date:</strong>
                    <p class="m-0" t-field="doc.ship_date"/>
                </div>
                 <div class="col-auto mw-100 mb-2" style="float:right" t-if="doc.po_reference">
                    <strong>Reference:</strong>
                    <p class="m-0" t-field="doc.po_reference"/>
                </div>
            </xpath>
            <xpath expr="//p[@t-field='doc.note']" position="after">
                <strong>Memo special instructions:</strong>
                <p t-field="doc.memo"/>
            </xpath>
            <xpath expr="//div[@t-field='doc.partner_id']" position="before">
                <br/>
                <strong>Customer</strong>
            </xpath>
            <xpath expr="//div[@id='informations']/div[2]" position="replace">
                <div t-if="doc.confirmation_date and doc.state not in ['draft','sent']" class="col-auto mw-100 mb-2" style="max-width:12%!important">
                    <strong>Date Ordered:</strong>
                    <p class="m-0" t-field="doc.confirmation_date"/>
                </div>
            </xpath>
             <xpath expr="//div[@t-if='doc.user_id.name']" position="replace">
                 <div t-if="doc.user_id.name" class="col-auto mw-100 mb-2" style="max-width:12%!important">
                    <strong>Sales Rep:</strong>
                    <p class="m-0" t-field="doc.user_id"/>
                </div>
            </xpath>
            <xpath expr="//div[@t-if='doc.payment_term_id']" position="replace">
                 <div name="payment_term" t-if="doc.payment_term_id"  class="col-auto mw-100 mb-2" style="max-width:12%!important">
                    <strong>Payment Terms:</strong>
                    <p class="m-0" t-field="doc.payment_term_id"/>
                </div>
            </xpath>
             <xpath expr="//div[@t-if='doc.client_order_ref']" position="replace">
                <div t-if="doc.client_order_ref" class="col-auto mw-100 mb-2" style="max-width:14%!important">
                    <strong>Your Reference:</strong>
                    <p class="m-0" t-field="doc.client_order_ref"/>
                </div>
            </xpath>
        </template>
        <template id="mv_report_purchaseorder_document" inherit_id="purchase.report_purchaseorder_document">
            <xpath expr="//table[@class='table table-sm o_main_table']/thead/tr/th[1]" position="before">
                <th><strong>Name</strong></th>
            </xpath>
            <xpath expr="//table[@class='table table-sm o_main_table']/tbody/tr/td[1]" position="before">
                <td><span t-field="line.default_code"/></td>
            </xpath>
            <xpath expr="//t[@t-set='address']/div" position="before">
                <br/>
                <strong>Vendor:</strong>
            </xpath>
            <xpath expr="//t[@t-set='address']" position="replace">
                <div class="address row">
                    <div class="col-6">
                         <strong>Ship To:</strong>
                     <div t-field="o.company_id"/>
                    </div>
                    <div class="col ml-auto">
                        <strong>Vendor:</strong>
                        <div t-field="o.partner_id"
                         t-options='{"widget": "contact", "fields": ["address", "name", "phone"], "no_marker": True, "phone_icons": True}'/>
                        <p t-if="o.partner_id.vat"><t t-esc="o.company_id.country_id.vat_label or 'Tax ID'"/>:
                            <span t-field="o.partner_id.vat"/>
                        </p>
                    </div>
                </div>
             </xpath>
            <xpath expr="//div[@t-if='o.date_order']" position="after">
                <div name="terms" class="col-auto mw-100 mb-2" t-if="o.payment_term_id">
                    <strong>Terms:</strong>
                    <p class="m-0" t-field="o.payment_term_id"/>
                </div>
            </xpath>
        </template>
        <template id="mv_report_invoice_document" inherit_id="account.report_invoice_document">
            <xpath expr="//table[@class='table table-sm o_main_table']/thead/tr/th[1]" position="before">
                <th class="text-left"><span>Name</span></th>
            </xpath>
            <xpath expr="//table[@class='table table-sm o_main_table']/tbody/t/tr[1]/t/td[1]" position="before">
                <td><span t-field="line.default_code"/></td>
            </xpath>
            <xpath expr="//p[@name='comment']" position="after">
                <div t-if="o.type != 'out_refund' and o.type != 'in_refund'">
                    <strong>Memo special instructions:</strong>
                    <p t-field="o.memo"/>
                    <p t-field="o.type"/>
                </div>
            </xpath>
            <xpath expr="//div[@id='informations']/div[5]" position="after">
                <div class="col-auto mw-100 mb-2" style="float:right" t-if="o.type == 'out_invoice'">
                    <strong>Ship to:</strong>
                    <p class="m-0" t-field="o.partner_id.name"/>
                    <p>
                        <span class="m-0" t-field="o.partner_shipping_id.street"/>
                        <span class="m-0" t-field="o.partner_shipping_id.street2"/>
                        <br/>
                        <span class="m-0" t-field="o.partner_shipping_id.city"/>
                        <span class="m-0" t-field="o.partner_shipping_id.state_id"/>
                        <span class="m-0" t-field="o.partner_shipping_id.zip"/>
                        <span class="m-0" t-field="o.partner_shipping_id.country_id"/>
                    </p>
                </div>
                 <div class="col-auto mw-100 mb-2" style="float:right" t-if="o.type == 'in_invoice' or o.type == 'in_refund'">
                    <strong>Due date:</strong>
                    <p class="m-0" t-field="o.date_due"/>
                </div>
            </xpath>
            <xpath expr="//div[@name='reference']" position="after">
                <div name="terms" class="col-auto mw-100 mb-2" t-if="o.payment_term_id">
                    <strong>Terms:</strong>
                    <p class="m-0" t-field="o.payment_term_id"/>
                </div>
                <div name="salesperson" class="col-auto mw-100 mb-2" t-if="o.user_id">
                    <strong>Sales Rep:</strong>
                    <p class="m-0" t-field="o.user_id.name"/>
                </div>
            </xpath>
            <xpath expr="//t[@t-set='address']" position="replace">
                <t t-set="address">
                    <div>
                        <br/>
                        <strong t-if="o.type == 'out_invoice'">Customer</strong>
                        <strong t-if="o.type == 'in_refund' or o.type == 'in_invoice'">Vendor</strong>
                    </div>
                    <address t-field="o.partner_id" t-options='{"widget": "contact", "fields": ["address", "name"], "no_marker": True}' />
                    <div t-if="o.partner_id.vat" class="mt16"><t t-esc="o.company_id.country_id.vat_label or 'Tax ID'"/>: <span t-field="o.partner_id.vat"/></div>
                </t>
            </xpath>
            <xpath expr="//div[@id='total']/div/table/tr[1]" position="after">
                <tr>
                    <td>Taxes</td>
                    <td class="text-right">
                        <span t-field="o.amount_tax"/>
                    </td>
                </tr>
            </xpath>
            <xpath expr="//div[@name='invoice_date']" position="replace">
                <div class="col-auto mw-100 mb-2" t-if="o.type == 'out_invoice'" name="invoice_date">
                    <strong>Invoice Date:</strong>
                    <p class="m-0" t-field="o.date_invoice"/>
                </div>
                <div class="col-auto mw-100 mb-2" t-if="o.type == 'in_invoice' or o.type == 'in_refund'" name="invoice_date">
                    <strong>Billl Date:</strong>
                    <p class="m-0" t-field="o.date_invoice"/>
                </div>
            </xpath>
        </template>
        <template id="mv_report_delivery_document" inherit_id="stock.report_delivery_document">
            <xpath expr="//t[1]/t[1]/t[1]/div[1]/table[3]/thead[1]/tr[1]/th[1]" position="after">
                <th><strong>Description</strong></th>
            </xpath>
            <xpath expr="//t[1]/t[1]/t[1]/div[1]/table[3]/tbody/tr[1]/td[1]" position="after">
                <td><span t-field="move_line.product_id.name"/></td>
            </xpath>
        </template>
        <template id="mv_report_picking" inherit_id="stock.report_picking">
            <xpath expr="/t[1]/t[1]/t[1]/t[1]/div[1]/table[2]/thead[1]/tr[1]/th[1]" position="after">
                <th><strong>Description</strong></th>
            </xpath>
            <xpath expr="/t[1]/t[1]/t[1]/t[1]/div[1]/table[2]/tbody/t/t/tr[1]/td[1]" position="after">
                <td><span t-field="ml.product_id.name"/></td>
            </xpath>
            <xpath expr="//td[@t-if='has_serial_number']" position="replace">
                <td width="15%" class=" text-center h6" t-if="has_serial_number and not ml.lot1 and not ml.lot2 ">
                    <img t-if="has_serial_number and (ml.lot_id or ml.lot_name)"
                         t-att-src="'/report/barcode/?type=%s&amp;value=%s&amp;width=%s&amp;height=%s&amp;humanreadable=1' % ('Code128', ml.lot_id.name, 600, 100)"
                         style="width:100%;height:35px;" alt="Barcode2"/>
                </td>
                <td width="15%" class=" text-center h6" t-if="ml.lot1 and ml.lot2 ">
                    <span>
                        <img
                         t-att-src="'/report/barcode/?type=%s&amp;value=%s&amp;width=%s&amp;height=%s&amp;humanreadable=1' % ('Code128', ml.lot1, 600, 100)"
                         style="width:100%;height:35px;" alt="Barcode2"/>
                    </span>
                     <span>
                         <img
                         t-att-src="'/report/barcode/?type=%s&amp;value=%s&amp;width=%s&amp;height=%s&amp;humanreadable=1' % ('Code128', ml.lot2, 600, 100)"
                         style="width:100%;height:35px;" alt="Barcode2"/>
                     </span>
                </td>
            </xpath>
        </template>
        <template id="mv_external_layout_standard" inherit_id="web.external_layout_standard">
            <xpath expr="//div[@t-field='company.partner_id']" position="replace">
                <div t-field="company.partner_id.name"/>
                <div t-field="company.partner_id.street"/>
                <div t-field="company.partner_id.street2"/>
                <div>
                    <span t-field="company.partner_id.city"/><span t-field="company.partner_id.state_id"/><span t-field="company.partner_id.zip"/>
                </div>
                <div t-field="company.partner_id.country_id"/>
            </xpath>
            <xpath expr="//div[@class='footer o_standard_footer']/div/ul/li[1]" position="replace">
                <li t-if="company.phone" class="list-inline-item" style="min-width:190px">Phone:
                    <span t-field="company.phone"/>
                </li>
            </xpath>
        </template>
        <template id="mv_address_layout" inherit_id="web.address_layout">
            <xpath expr="//t[@t-if='information_block']" position="replace">
            </xpath>
        </template>
    </data>
</odoo>